# copy_file_to_scratch

`psi4.driver.``copy_file_to_scratch`(filename, prefix, namespace, unit, move=False)

  Function to move file into scratch with correct naming convention.

  Arguments:

  @arg filename full path to file @arg prefix computation prefix, usually ‘psi’ @arg namespace context namespace, usually molecule name @arg unit unit number, e.g. 32 @arg move copy or move? (default copy)

  Example:

  Assume PID is 12345 and SCRATCH is /scratch/parrish/

  copy_file_to_scratch(‘temp’, ‘psi’, ‘h2o’, 32):
    -cp ./temp /scratch/parrish/psi.12345.h2o.32
  copy_file_to_scratch(‘/tmp/temp’, ‘psi’, ‘h2o’, 32):
    -cp /tmp/temp /scratch/parrish/psi.12345.h2o.32
  copy_file_to_scratch(‘/tmp/temp’, ‘psi’, ‘’, 32):
    -cp /tmp/temp /scratch/parrish/psi.12345.32
  copy_file_to_scratch(‘/tmp/temp’, ‘psi’, ‘’, 32, True):
    -mv /tmp/temp /scratch/parrish/psi.12345.32